import java.util.Scanner;

public class ReadFileFromURL {
  public static void main(String[] args) {
    System.out.print("Wpisz adres URL: ");
    String URLString = new Scanner(System.in).next();
       
    try {
      java.net.URL url = new java.net.URL(URLString); 
      int count = 0;
      Scanner input = new Scanner(url.openStream());
      while (input.hasNext()) {
        String line = input.nextLine();
        count += line.length();
      } 
      
      System.out.println("Znaków w pliku: " + count);
    }
    catch (java.net.MalformedURLException ex) {
      System.out.println("Błędny adres URL");
    }
    catch (java.io.IOException ex) {
      System.out.println("Błąd wejścia – wyjścia: plik nie istnieje");
    }
  }
}   
